
//-----------------------------------------------------------------------
//<copyright>
// * Copyright (C) 2021 KEHAIDASOFT All Rights Reserved
// * version : 4.0.30319.42000
// * author  : khd by t4-2
// </copyright>
//-----------------------------------------------------------------------

using System;
using System.ComponentModel.DataAnnotations;
using System.ComponentModel.DataAnnotations.Schema;

namespace Khd.Core.Domain.Models
{

    [Table("base_production_order_split_bak")]
    public class BaseProductionOrderSplitBak
    {

        [Key]
        [Column("id")]
        public string id { get; set; }

        [Column("site_code")]
        public string siteCode { get; set; }

        /// <summary>
        /// 线体编码
        /// </summary>
        [Column("line_code")]
        public string lineCode { get; set; }

        /// <summary>
        /// 线体名称
        /// </summary>
        [Column("line_name")]
        public string lineName { get; set; }

        /// <summary>
        /// 订单号
        /// </summary>
        [Column("order_code")]
        public string orderCode { get; set; }

        /// <summary>
        /// 产品编码
        /// </summary>
        [Column("prod_code")]
        public string prodCode { get; set; }

        /// <summary>
        /// 产品名称
        /// </summary>
        [Column("prod_desc")]
        public string prodDesc { get; set; }

        /// <summary>
        /// 订单生产顺序
        /// </summary>
        [Column("production_sequence")]
        public int? productionSequence { get; set; }

        /// <summary>
        /// 订单是否完成0未完成1完成
        /// </summary>
        [Column("IsOver")]
        public int? isover { get; set; }

        /// <summary>
        /// 计划开始时间
        /// </summary>
        [Column("est")]
        public DateTime? est { get; set; }

        /// <summary>
        /// 计划数量
        /// </summary>
        [Column("Quantity")]
        public int? quantity { get; set; }
    }
}

